Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/submit_transfer_between_subaccounts \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 210,
  "method": "private/submit_transfer_between_subaccounts",
  "params": {
    "currency": "ETH",
    "amount": 12.1234,
    "destination": 20,
    "source": 10
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/submit_transfer_between_subaccounts"

payload = {
"jsonrpc": "2.0",
"id": 210,
"method": "private/submit_transfer_between_subaccounts",
"params": {
"currency": "ETH",
"amount": 12.1234,
"destination": 20,
"source": 10
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 210,
method: 'private/submit_transfer_between_subaccounts',
params: {currency: 'ETH', amount: 12.1234, destination: 20, source: 10}
})
};

fetch('https://test.deribit.com/api/v2/private/submit_transfer_between_subaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 9187,
  "result": {
    "amount": 0.2,
    "created_timestamp": 1550579457727,
    "currency": "BTC",
    "direction": "payment",
    "id": 2,
    "other_side": "2MzyQc5Tkik61kJbEpJV5D5H9VfWHZK9Sgy",
    "state": "cancelled",
    "type": "user",
    "updated_timestamp": 1550579457727
  }
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
amount
number
required

Amount of funds to be transferred

destination
integer
required

Id of destination subaccount. Can be found in My Account >> Subaccounts tab

Example:

1

source
integer

Id of the source (sub)account. Can be found in My Account >> Subaccounts tab. By default, it is the Id of the account which made the request. However, if a different "source" is specified, the user must possess the mainaccount scope, and only other subaccounts can be designated as the source.

Example:

1

nonce
string

Optional idempotency nonce. If provided, subsequent requests with the same nonce will return the previously created transaction instead of creating a new one. Must be 8-128 characters. The nonce is persisted on the resulting transaction and returned in the response. Nonce

Example:

"bF1_gfgcsd"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request